﻿@import url("/AGV_UI_th/Theme.AGV_UI_th.css?6306");

/* ===================================================================== */
/*  The following CSS was created using Theme Editor.                    */
/*  To modify this CSS, click "Open Theme Editor".                       */
/* ===================================================================== */

/* ===================================================================== */
/*  Root - CSS Variables                                                 */
/* ===================================================================== */

:root {
    /* Color - Brand */
    --color-primary: #00a29a;
    --color-secondary: #00a29a;

    --color-primary-hover: #197a74;
    --color-primary-selected: rgba(0, 162, 154, .12);

    /* Color - Extended */
    --color-red-lightest: #faeaea;
    --color-red-lighter: #e9aaaa;
    --color-red-light: #d96a6a;
    --color-red: #c92a2a;
    --color-red-dark: #ab2424;
    --color-red-darker: #8d1d1d;
    --color-red-darkest: #6f1717;

    --color-pink-lightest: #fbebf0;
    --color-pink-lighter: #efadc4;
    --color-pink-light: #e27098;
    --color-pink: #d6336c;
    --color-pink-dark: #b62b5c;
    --color-pink-darker: #96244c;
    --color-pink-darkest: #761c3b;

    --color-grape-lightest: #f7ecfa;
    --color-grape-lighter: #dfb2e9;
    --color-grape-light: #c678d9;
    --color-grape: #ae3ec9;
    --color-grape-dark: #9435ab;
    --color-grape-darker: #7a2b8d;
    --color-grape-darkest: #60226f;

    --color-violet-lightest: #f1edfd;
    --color-violet-lighter: #c6b6f6;
    --color-violet-light: #9b7fef;
    --color-violet: #7048e8;
    --color-violet-dark: #5f3dc5;
    --color-violet-darker: #4e32a2;
    --color-violet-darkest: #3e2880;

    --color-indigo-lightest: #eceffd;
    --color-indigo-lighter: #b3c1f7;
    --color-indigo-light: #7b92f1;
    --color-indigo: #4263eb;
    --color-indigo-dark: #3854c8;
    --color-indigo-darker: #2e45a5;
    --color-indigo-darkest: #243681;

    --color-blue-lightest: #e8f2fa;
    --color-blue-lighter: #a3c9ea;
    --color-blue-light: #5fa1db;
    --color-blue: #1a79cb;
    --color-blue-dark: #1667ad;
    --color-blue-darker: #12558e;
    --color-blue-darkest: #0e4370;

    --color-cyan-lightest: #e7f2f4;
    --color-cyan-lighter: #9eccd3;
    --color-cyan-light: #56a6b2;
    --color-cyan: #0d8091;
    --color-cyan-dark: #0b6d7b;
    --color-cyan-darker: #095a66;
    --color-cyan-darkest: #074650;

    --color-teal-lightest: #e6f2ef;
    --color-teal-lighter: #9cccbd;
    --color-teal-light: #52a58c;
    --color-teal: #087f5b;
    --color-teal-dark: #076c4d;
    --color-teal-darker: #065940;
    --color-teal-darkest: #044632;

    --color-green-lightest: #ebf7ed;
    --color-green-lighter: #afe0b8;
    --color-green-light: #73c982;
    --color-green: #37b24d;
    --color-green-dark: #2f9741;
    --color-green-darker: #267d36;
    --color-green-darkest: #1e622a;

    --color-lime-lightest: #f1f8e8;
    --color-lime-lighter: #c7e3a2;
    --color-lime-light: #9ecd5c;
    --color-lime: #74b816;
    --color-lime-dark: #639c13;
    --color-lime-darker: #51810f;
    --color-lime-darkest: #40650c;

    --color-orange-lightest: #fef0e6;
    --color-orange-lighter: #fcc29c;
    --color-orange-light: #f99551;
    --color-orange: #f76707;
    --color-orange-dark: #d25806;
    --color-orange-darker: #ad4805;
    --color-orange-darkest: #883904;

    --color-yellow-lightest: #fef5e5;
    --color-yellow-lighter: #fbd999;
    --color-yellow-light: #f8bc4c;
    --color-yellow: #f59f00;
    --color-yellow-dark: #d08700;
    --color-yellow-darker: #ac6f00;
    --color-yellow-darkest: #875700;

    /* Color - Neutral */
    --color-neutral-0: #ffffff;
    --color-neutral-1: #f8f9fa;
    --color-neutral-2: #f1f3f5;
    --color-neutral-3: #e9ecef;
    --color-neutral-4: #dee2e6;
    --color-neutral-5: #ced4da;
    --color-neutral-6: #adb5bd;
    --color-neutral-7: #868e96;
    --color-neutral-8: #5c656d;
    --color-neutral-9: #343a40;
    --color-neutral-10: #15181a;

    /* Color - Semantic */
    --color-error-light: #fceaea;
    --color-error: #e03131;

    --color-warning-light: #fdf6e5;
    --color-warning: #e9a100;

    --color-success-light: #eaf3eb;
    --color-success: #2a843c;

    --color-info-light: #e5f5fc;
    --color-info: #009dde;

    /* Elevation / Shadow */
    --shadow-none: none;
    --shadow-xs: 0 1px 2px rgba(0, 0, 0, .1);
    --shadow-s: 0 2px 4px rgba(0, 0, 0, .1);
    --shadow-m: 0 4px 6px rgba(0, 0, 0, .1);
    --shadow-l: 0 6px 8px rgba(0, 0, 0, .1);
    --shadow-xl: 0 8px 10px rgba(0, 0, 0, .1);

    /* App Settings */
    --side-menu-size: 300px;
}

.btn,
.Button {
    color: var(--color-primary);
}

.tag,
.badge,
.btn.Is_Default, 
.Button.Is_Default {
    color: #fff;
}
/* DROPDOWN SEARCH - CUSTOM */
.choices__list--dropdown .choices__list {
    display: flex;
    flex-direction: column;
    gap: 8px;
}
.choices__list--dropdown .choices__item {
    height: auto;
    min-height: 40px;
}
.choices__list--dropdown {
    word-break: normal;
} 

:root {
    --color-primary: #00a29a; /*primary-color*/
    --color-primary-hover: #00a29a; /*primary-color-hover*/
    --color-secondary: #fbb130; /*secondary-color*/
}

.form-input--text:disabled, .form-input--text[readonly="readonly"] {
    background-color: #F3F3F3 !important;
}

.box-fafafa-custom {
    border-left: 1px solid #EAD8D8 !important;
    border-right: 1px solid #EAD8D8 !important;
}

.btn-rounded {
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 35px;
    height: 35px;
}

.background-white {
    background-color: #fff !important;
}

.text-light-grey {
    color: #999999;
}

.declaracao--text {
    line-height: 20px;
}

.WrapperEtapas {
    margin-top: 0px;
    margin-bottom: 0px;
}

.box-card-accordion,
.box-card-accordion > *:first-child {
    border-radius: 7px 7px 0 0 !important;
}

.box-card-accordion > *:first-child {
    background-color: #f5f5f5;
    border-bottom: 1px solid #cccccc;
}

.box-card-accordion > *:not(:first-child) {
    background-color: #fafafa
}

.box-card-accordion .accordion-item-title .label {
    font-size: 16px;
}

.TableRecords.UploadTable {
    background-color: white;
}

.TableRecords.UploadTable > *:first-child > *:first-child td {
    border-bottom: 1px solid #cccccc;
    padding: 10px 24px;
    height: 48px;
    color: #0000008C;
    font-weight: bold;
}

.TableRecords.UploadTable > * > *:not(:first-child) td {
    padding: 10px 24px;
    height: 56px;
}
.radio-button {
    margin-right: 10px;   
}


/* CHOICES */
.choices__inner {
    display: inline-flex;
    align-items: center;
    border: 1px solid var(--color-border);
    border-radius: 55px;
}
.choices__list--single .choices__item {
    padding-top: 0;
    color: var(--black-light);
}

.layout-service__actions a, .layout-service__actions a:link {
    display: inline-flex !important;
    align-items: center !important;
    gap: 8px !important;
    padding: 4px 12px !important;
    background-color: transparent !important;
    border: 1px solid #FFF !important;
    border-radius: 35px !important;
    font-size: 14px !important;
    color: #FFF !important;
}
